--- title: "Update Name Resolution Settings at Domain Level" slug: "update-name-resolution-settings-at-domain-level" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:00Z published: 2026-09-23T09:38:00Z canonical: "docs.trellix.com/update-name-resolution-settings-at-domain-level" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update Name Resolution Settings at Domain Level This URL updates name resolution setting at domain level. ## Resource URL PUT /domain//nameresolution ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain id | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | | --- | --- | --- | | DNSDetailsElement | Object that contains the details of the field to be sent | Object | Details of fields in DNSDetailsElement: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | inheritFromIPSSetting | Inherit setting from parent domain | Boolean | Yes | | enableNameResolution | Enable name resolution setting | Boolean | Yes | | dnsSuffixList | List of DNS suffix | Array | No | | primaryDNSServer | Primary DNS server IP, mandatory when name resolution is enabled | String | No | | secondaryDNSServer | Secondary DNS server IP | String | No | | refreshIntervalInHours | Refresh interval in hours, applicable only for NTBA device | Number | No | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Set to 1 if the operation was successful, -1 otherwise | Number | ## Example **Request** PUT [https://%3CNSM_IP%3E/sdkapi/domain/0/nameresolution](https://%3CNSM_IP%3E/sdkapi/domain/0/nameresolution) **Payload** ``` {       "inheritFromIPSSetting": false,       "enableNameResolution": true,       "dnsSuffixList":       [           "outlook.com",           "google.com"       ],       "primaryDNSServer": "172.16.230.211",       "secondaryDNSServer": "172.16.232.72",       "refreshIntervalInHours": 120     } ``` **Response** ``` { "status":1 } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 400 | 3101 | Cannot inherit setting for root domain | | 3 | 400 | 4701 | Duplicate suffix found: | | 4 | 400 | 4702 | Primary DNS Server is required | | 5 | 400 | 4703 | Invalid domain name | | 6 | 400 | 4704 | Invalid primary DNS server | | 7 | 400 | 4705 | Invalid secondary DNS server | | 8 | 400 | 4706 | Refresh interval must be between 24 and 9999 hours |